Package: groovy.transform

## [Java] Annotation Type Trait

- groovy.transform.Trait

-     @Documented
      @Retention(RetentionPolicy.RUNTIME)
      @Target(ElementType.TYPE)
      @GroovyASTTransformationClass("org.codehaus.groovy.transform.trait.TraitASTTransformation")
      public @interface Trait

  Used to mark a class as being a trait.

  Since:
    2.3.0

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`